- [HTTP request](https://docs.cloud.google.com/deploy/docs/api/reference/rest/v1/projects.locations.deliveryPipelines.automations/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/deploy/docs/api/reference/rest/v1/projects.locations.deliveryPipelines.automations/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/deploy/docs/api/reference/rest/v1/projects.locations.deliveryPipelines.automations/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/deploy/docs/api/reference/rest/v1/projects.locations.deliveryPipelines.automations/list#body.request_body)
- [Response body](https://docs.cloud.google.com/deploy/docs/api/reference/rest/v1/projects.locations.deliveryPipelines.automations/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/deploy/docs/api/reference/rest/v1/projects.locations.deliveryPipelines.automations/list#body.ListAutomationsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/deploy/docs/api/reference/rest/v1/projects.locations.deliveryPipelines.automations/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/deploy/docs/api/reference/rest/v1/projects.locations.deliveryPipelines.automations/list#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/deploy/docs/api/reference/rest/v1/projects.locations.deliveryPipelines.automations/list#try-it)

Lists Automations in a given project and location.

### HTTP request

Choose a location:
<button value="global" default="">global</button> <button value="asia-south1">asia-south1</button> <button value="asia-south2">asia-south2</button> <button value="us-central1">us-central1</button> <button value="us-east1">us-east1</button> <button value="us-east4">us-east4</button> <button value="us-east5">us-east5</button> <button value="us-east7">us-east7</button> <button value="us-south1">us-south1</button> <button value="us-west1">us-west1</button> <button value="us-west2">us-west2</button> <button value="us-west3">us-west3</button> <button value="us-west4">us-west4</button>   
`GET https://clouddeploy.googleapis.com/v1/{parent=projects/*/locations/*/deliveryPipelines/*}/automations`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent `Delivery Pipeline`, which owns this collection of automations. Format must be `projects/{projectId}/locations/{location_name}/deliveryPipelines/{pipeline_name}`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of automations to return. The service may return fewer than this value. If unspecified, at most 50 automations will be returned. The maximum value is 1000; values above 1000 will be set to 1000. |
| `pageToken` | `string` A page token, received from a previous `automations.list` call. Provide this to retrieve the subsequent page. When paginating, all other provided parameters match the call that provided the page token. |
| `filter` | `string` Filter automations to be returned. All fields can be used in the filter. |
| `orderBy` | `string` Field to sort by. |

### Request body

The request body must be empty.

### Response body

The response object from `automations.list`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "automations": [ { object (`https://docs.cloud.google.com/deploy/docs/api/reference/rest/v1/projects.locations.deliveryPipelines.automations#Automation`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `automations[]` | ``object (`https://docs.cloud.google.com/deploy/docs/api/reference/rest/v1/projects.locations.deliveryPipelines.automations#Automation`)`` The `Automation` objects. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `clouddeploy.automations.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).